Subject: RE: [rohc] operator "!" in the udvm assembly (draft-ietf-rohc-sig comp-user-guide-01.txt)

From: "Surtees, Abigail" <[email-masked]>
Date: Mon, 6 Jun 2005 11:14:33 +0100

Hi All,

I have no particular objection to the addition of another directive.  If it's added, then I agree with Adam that it makes sense to give the directive a parameter as all the others have parameters (though parameters are notionally optional for directives - from page 6:
'; all
 ; directives are intended to syntactically
 ; match: name ["(" expression *(","
 ; expression) ")"]').

However, the user guide is informational rather than normative, and "!" is an optimisation so I also think that it's not a major issue and that a caveat could cover it.

Whichever the conclusion, there should be some text added to section 3.2.1.

Just my two penn'orth. 

Best regards,

Abbie

> -----Original Message-----
> From: Adam Roach [mailto:[email-masked]] 
> Sent: Monday, June 06, 2005 4:14 AM
> To: Carsten Bormann
> Cc: [email-masked]
> Subject: Re: [rohc] operator "!" in the udvm assembly 
> (draft-ietf-rohc-sigcomp-user-guide-01.txt)
> 
> 
> Carsten Bormann wrote:
> 
> > On Jun 01 2005, at 16:17 Uhr, Adam Roach wrote:
> >
> >> I think I would prefer to leave it as-is, with a caveat 
> that writers 
> >> of self-modifying code need to be aware of possible 
> interactions with 
> >> the use of "!".
> >
> >
> > As Cristian's example pointed out, the closest zero byte 
> may actually 
> > be data that will be overwritten.
> 
> 
> Hmmm... when I implemented this, I never even considered using a data 
> byte as "the closest zero byte." If there's not a zero in the code 
> (which hasn't happened so far), my compiler simply inserts one.
> 
> > One heuristic would be to consider all instructions 
> read-only and all 
> > other space read-write...
> 
> 
> (Which is effectively what I've implemented)
> 
> > ...unless specified otherwise by a directive. I'd rather have that 
> > directive, though, to be able to make my intentions as a UDVM coder 
> > explicit.
> 
> 
> Okay, I can buy that this kind of directive would be useful. I far 
> prefer the directive-with-parameter approach, as anything else would 
> require some ungainly changes to the syntax parsing state machine.
> 
> /a
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc